Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ivoa.registry.search
Interface ServiceCaller

All Known Implementing Classes:
  DefaultServiceCaller, MessagePrintingServiceCaller

    public interface ServiceCaller

an interface for calling a SOAP service. This interface allows a service client to swap in different implementations for accessing a service with a SOAP message. It was created for this package primarily for inserting a proxy class for testing. This interface is intended for the so-called wrapped document style of SOAP messaging in that the call() method is supposed to return the wrapping element from inside the SOAP body of the service response message.

Method Summary
`org.w3c.dom.Element` | `call(SOAPMessage msg, java.lang.String actionURI)` call the SOAP service and return the content of the body the SOAP response.
`java.net.URL` | `getEndpoint()` get the service endpoint URL currently in use
`void` | `setEndpoint(java.net.URL endpoint)` set the service endpoint URL

Method Detail

### setEndpoint

    void setEndpoint(java.net.URL endpoint)

  set the service endpoint URL

### getEndpoint

    java.net.URL getEndpoint()

  get the service endpoint URL currently in use

### call

    org.w3c.dom.Element call(SOAPMessage msg,
                             java.lang.String actionURI)
                             throws RegistryServiceException,
                                    SOAPException

  call the SOAP service and return the content of the body the SOAP response. This assumes a wrapped document message style in which the body contains a single child element.

  Parameters:
    `msg` - the input SOAP message to send
    `action` - the SOAP action URI to use
  Throws:
    `SOAPException` - if an error occurs while handling the SOAP.
    `RegistryServiceException` - if any errors occurs while communicating with the service.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD